# std::bitset<N>::size

From cppreference.com
< cpp‎ | utility‎ | bitset

std::size_t size() const; |  | (until C++11)
constexpr std::size_t size() const noexcept; |  | (since C++11)

Returns the number of bits that the bitset can hold.

### Parameters

(none)

### Return value

number of bits that the bitset can hold, i.e. the template parameter `N`

### See also

count | returns the number of bits set to true (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/bitset/size&oldid=94374"